#
# spec file for package opensuse-manual_de (Version 10.3)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs desktop-translations diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone update-desktop-files util-linux zlib

Name:           opensuse-manual_de
%define my_lang de
%define my_prov_obs suselinux-adminguide_%{my_lang} suselinux-userguide_%{my_lang} suselinux-manual_%{my_lang}
%define my_book opensuse-html
Version:        10.3
Release:        20.2
Obsoletes:      %{my_prov_obs}
Provides:       %{my_prov_obs}
Provides:       locale(desktop-data-SuSE:de)
Obsoletes:      suselinux-manual_de opensuse-quickstart_de
Provides:       suselinux-manual_de opensuse-quickstart_de
#OBS
Source00:       opensuse-html_de-html.tar.bz2
Source01:       opensuse-html_de-desktop.tar.bz2
Source10:       opensuse-gnomequick_de.pdf
Source11:       opensuse-gnomequick_de-graphics.tar.bz2
Source12:       opensuse-gnomequick_de.tar.bz2
Source13:       LICENSE.txt
Source20:       opensuse-kdequick_de.pdf
Source21:       opensuse-kdequick_de-graphics.tar.bz2
Source22:       opensuse-kdequick_de.tar.bz2
Source30:       opensuse-kdeuser_de.pdf
Source31:       opensuse-kdeuser_de-graphics.tar.bz2
Source32:       opensuse-kdeuser_de.tar.bz2
Source40:       opensuse-reference_de.pdf
Source41:       opensuse-reference_de-graphics.tar.bz2
Source42:       opensuse-reference_de.tar.bz2
Source50:       opensuse-startup_de.pdf
Source51:       opensuse-startup_de-graphics.tar.bz2
Source52:       opensuse-startup_de.tar.bz2
Source60:       APPARMOR-admin_de.pdf
Source61:       APPARMOR-admin_de-graphics.tar.bz2
Source62:       APPARMOR-admin_de.tar.bz2
#SOURCES
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  update-desktop-files
Group:          Documentation/SuSE
License:        GNU Free Documentation License, Version 1.2 (GFDL 1.2)
Summary:        openSUSE Manual (German)
%define _defaultdocdir %{_datadir}/doc/manual
%define _docdir %{_datadir}/doc/manual
%define PDFDOC %{_defaultdocdir}/%{name}-pdf

%description
The openSUSE manual package contains the Start-Up, Reference, AppArmor
Administration Guide, GNOME and KDE Quick Start, and KDE User Guide. 
The GNOME User Guide is packaged separately as opensuse-gnomeuser_de.



%debug_package
%package pdf
Group:          Documentation/SuSE
License:        GNU Free Documentation License, Version 1.2 (GFDL 1.2)
Summary:        openSUSE Manual (German) as PDF
#Provides:     locale(desktop-data-SuSE:de)
Obsoletes:      suselinux-manual_de-pdf opensuse-quickstart_de-pdf
Provides:       suselinux-manual_de-pdf opensuse-quickstart_de-pdf
#PDFOBS

%description pdf
PDF of the openSUSE Manual (German).



%prep
#%setup -c -q
%setup -c -q -a 01
#PREP
find -name '*.png' -o -name '*.svg' | xargs chmod 644
cp %{S:10} .
cp %{S:20} .
cp %{S:30} .
cp %{S:40} .
cp %{S:50} .
cp %{S:60} .
#PDFPREP

%build
find . -name CVS -o -name '.xvpics' -o -name '.cvsignore' \
  | xargs rm -fr
# make sure index.html exists
for f in $(find html -type f -name 'book.*'); do
  pushd ${f%/*}
  [ -f index.html -o -L index.html ] || ln -sf ${f##*/} index.html
  popd
done

%install
[ -d $RPM_BUILD_ROOT ] && rm -fvr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}
# is set for sles or sled as /sles or /sled
%define my_desktopdir /usr/share/susehelp/meta
echo %{my_desktopdir} | sed 's:\(\|xyzy\)::' >filelist
# mkdir -p  desktop/{startup,reference,application,apparmor-admin-guide}
###
install -d $RPM_BUILD_ROOT%{my_desktopdir}/%{name}
# product is name without language code
%if %suse_version < 1030
%define gnome_dir /opt/gnome/share/gnome/help/opensuse-manual
%else
%define gnome_dir %{_datadir}/gnome/help/opensuse-manual
%endif
install -d $RPM_BUILD_ROOT%{gnome_dir}
#
if [ -d html/%my_book ]; then
mv html/%my_book html/manual
pushd desktop
# problem writing desktop files on 10.3
if [ -d index.desktop ]; then
  for f in $(find index.desktop -mindepth 1 -maxdepth 1); do
    mv $f .
  done
  rmdir index.desktop
fi
if [ ! -f .directory ]; then
  # stand-alone book, hidden in sub-directory
  dir=$(find . -maxdepth 1 -type d -name 'book_*')
  if [ -n "$dir" ]; then
    for f in $(find $dir -mindepth 1 -maxdepth 1); do
      mv $f .
    done
    rmdir $dir
  fi
fi
for f in $(find . -type f -name '*desktop'); do
    # /usr/share/doc/manual/suselinux-manual_en/manual
    sed -i "/^X-DOC-Identifier.*/d
s|@PATH@|%{_defaultdocdir}/%{name}/manual|
s/\[\]//" $f
    if ! grep -q -e '^Name *=' $f; then
    # requiered if no "Name=" is present
      sed -i "s|^Name\[.*\]\(=.*\)|Name\1\\
&|" $f
    fi
done
for d in $(find . -maxdepth 1 -type d -name 'book*'); do
  id=${d//\./}
  id=${id//\//}%{my_lang}
  pushd $d
  for f in $(find . -name '.directory'); do
    sed -i "s|@PATH@|%{_defaultdocdir}/%{name}/manual|
s/\[\]//
s|@id@|$id|" $f
    case $d in
      *_startup)
        [ $f = "./.directory" ] \
          && sed -i "s|^\(X-DOC-Weight\).*|\1=-10000|" $f ;;
    esac
  done
  popd
done
# Probably useful for stand-alone books
for f in $(find . -name '*.directory'); do
  id=%{name}
  id=${id//_/}
  sed -i "s|@PATH@|%{_defaultdocdir}/%{name}/manual|
s/\[\]//
s|@id@|$id|" $f
  # Fix the index.html reference
  if [ $f = ./.directory ]; then
    sed -i 's:\(^DocPath.*/\).*:\1index.html:
s/^\(Name\|Comment\)\(.*\)/\1\2 (%{my_lang})/' $f
  fi
done
# # remove the dots from the file names
# for f in $(find . -type f -name '*desktop'); do
#   d=${f%/*}
#   n=${f##*/}; n=${n/\.desktop}; n=${n//\./_}; n=${n}.desktop
#   [ $f = $d/$n ] || mv -v $f $d/$n
# done
# ren_dir () {
#   for d in $(find . -maxdepth $1 -mindepth $1 -type d); do
#     n=${d#*/}; n=${n//\./_}
#     [ $d = $n ] || mv -v $d $n
#   done
# }
# ren_dir 1
# ren_dir 2
# #
cp -a . $RPM_BUILD_ROOT%{my_desktopdir}/%{name}
popd
# Link it into the Gnome help system (must be found by calling
# susehelp help://suselinux-manual/
pushd $RPM_BUILD_ROOT/%{gnome_dir}
if [ %{my_lang} = "en" ]; then
  target=$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/manual
  install -d $target
  ln -sf %{_defaultdocdir}/%{name}/manual C
else
  target=$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/manual
  install -d $target
  ln -sf %{_defaultdocdir}/%{name}/manual %{my_lang}
fi
popd
else
# PDF only books
install -d html/manual
echo PDF only > html/manual/%{name}
fi
%suse_update_desktop_file $RPM_BUILD_ROOT%{my_desktopdir}/%{name}/.directory

%files pdf
%defattr(-, root, root)
%dir %{_defaultdocdir}
%doc *.pdf

%files
%defattr(-, root, root)
%doc html/manual
%{my_desktopdir}
%dir %{_datadir}/susehelp
%{gnome_dir}
%if %suse_version > 1020
%dir /usr/share/gnome
%dir /usr/share/gnome/help
%else
%dir /opt/gnome
%dir /opt/gnome/share
%dir /opt/gnome/share/gnome
%dir /opt/gnome/share/gnome/help
%endif
%changelog
* Wed Nov 07 2007 - ke@suse.de
- Correct X-DOC-Weight using better style-sheet support.
- Fixing support information; see bug [#339034].
* Fri Sep 21 2007 - ke@suse.de
- Assign X-DOC-Weight manually (-3000) to make it show up right after
  the release-notes.
* Thu Sep 20 2007 - ke@suse.de
- Work around for sorting Quick* book chapters (KDE, GNOME, AppArmor);
  [#] 326392.
* Wed Sep 19 2007 - ke@suse.de
- Remove more X-DOC settings; reported by Stephan Binner [# 325691].
- Make X-DOC-Weight values positive; [# 326392].
* Mon Sep 17 2007 - ke@suse.de
- Remove X-DOC-Identifier from *.desktop files; reported by Stephan
  Binner [# 325691].
* Fri Sep 14 2007 - ke@suse.de
- Update text and image files.
* Thu Sep 06 2007 - coolo@suse.de
- As discussed with Tanja and Jana: pdfs should not be installed by
  default
* Thu Aug 16 2007 - ke@suse.de
- Build preliminary package using the old translation files.
- Obsolete opensuse-quickstart_de, reported by Stephan Kulow; # 300538.
* Wed Aug 15 2007 - coolo@suse.de
- trigger installation on german desktop installations (#296873)
* Mon Jun 04 2007 - dmueller@suse.de
- documentation shouldn't be executable
* Wed Jan 31 2007 - ro@suse.de
- GNOME moved to /usr
* Mon Nov 27 2006 - ke@suse.de
- Adjustments by Tanja Roth and Berthold Gunreben (XML and images).
* Fri Nov 24 2006 - ke@suse.de
- 10.2 test package, translated Reference Guide included.
* Sun Nov 19 2006 - ke@suse.de
- 10.2 test package.  Stuart-Up Guide is translated.
